OCIOBAKELUT(1)

NAME
ociobakelut - create a new LUT or ICC profile from an OCIO config or LUT file(s)

usage: ociobakelut [options] <OUTPUTFILE.LUT>

example: ociobakelut --inputspace lg10 --outputspace srgb8 --format flame lg_to_srgb.3dl example: ociobakelut --lut filmlut.3dl --lut calibration.3dl --format flame display.3dl example: ociobakelut --cccid 0 --lut cdlgrade.ccc --lut calibration.3dl --format flame graded_display.3dl example: ociobakelut --lut look.3dl --offset 0.01 -0.02 0.03 --lut display.3dl --format flame display_with_look.3dl example: ociobakelut --inputspace lg10 --outputspace srgb8 --format icc ~/Library/ColorSync/Profiles/test.icc example: ociobakelut --lut filmlut.3dl --lut calibration.3dl --format icc ~/Library/ColorSync/Profiles/test.icc

Using Existing OCIO Configurations

--inputspace %s
    Input OCIO ColorSpace (or Role)

--outputspace %s
    Output OCIO ColorSpace (or Role)

--shaperspace %s
    the OCIO ColorSpace or Role, for the shaper

--looks %s
    the OCIO looks to apply

--iconfig %s
    Input .ocio configuration file (default: $OCIO)

Config-Free LUT Baking

    (all options can be specified multiple times, each is applied in order) --cccid %s Specify a CCCId for any following LUTs --lut %s Specify a LUT (forward direction) --invlut %s Specify a LUT (inverse direction) --slope %f %f %f slope --offset %f %f %f offset (float) --offset10 %f %f %f offset (10-bit) --power %f %f %f power --sat %f saturation (ASC-CDL luma coefficients)

Baking Options

--format %s
    the LUT format to bake: flame (.3dl), lustre (.3dl), Academy/ASC Common LUT Format (.clf), Color Transform Format (.ctf), cinespace (.csp), houdini (.lut), iridas_cube (.cube), iridas_itx (.itx), resolve_cube (.cube), truelight (.cub), icc (.icc)

--shapersize %d
    size of the shaper (default: format specific)

--cubesize %d
    size of the cube (default: format specific)

--stdout
    Write to stdout (rather than file)

--v Verbose

--help
    Print help message

ICC Options

--whitepoint %d
    whitepoint for the profile (default: 6505)

--displayicc %s
    an ICC profile which matches the OCIO profiles target display

--description %s
    a meaningful description, this will show up in UI like photoshop (defaults to "filename.icc")

--copyright %s
    a copyright field added in the file (default: "No copyright. Use freely.")